mousetweaks(1)

NAME
mousetweaks - Accessibility enhancements for pointing devices

SYNOPSIS
mousetweaks [--dwell] [--ssc] [--dwell-time=FLOAT] [--ssc-time=FLOAT] [-m|--dwell-mode=STRING] [-c|--show-ctw] [-x|--ctw-x=INT] [-y|--ctw-y=INT] [-t|--threshold=INT] [-s|--shutdown] [--disable-animations] [--daemonize] [-?|--help]

DESCRIPTION
mousetweaks is a collection of accessibility enhancements for pointing devices. This manual page describes the mousetweaks daemon.

OPTIONS

--dwell
    Automatically perform mouse clicks without using a physical button.

--ssc
    Trigger the secondary mouse button when the primary mouse button is held down for a specified amount of time.

--dwell-time=FLOAT
    Time to keep the pointer motionless before a dwell click is performed. Range: 0.2 - 3.0 seconds.

--ssc-time=FLOAT
    Time to hold the primary mouse button before a simulated secondary click is performed. Range: 0.5 - 3.0 seconds.

-m, --dwell-mode=STRING
    Select a dwell mode. Available options: window - Select the click type from a window or a panel applet. gesture - Perform different clicks by moving in different directions.

-c, --show-ctw
    Show the click-type window. Only useful in combination with --dwell-mode=window.

-x, --ctw-x=INT
    x-position of the click-type window on screen.

-y, --ctw-y=INT
    y-position of the click-type window on screen.

-t, --threshold=INT
    Ignore small pointer movements. Range: 0 - 30 pixels.

-s, --shutdown
    Stop the mousetweaks daemon.

--disable-animation
    Disable cursor animations. The animation shows the timer progress for dwell clicks and secondary clicks as cursor overlay.

--daemonize
    Start mousetweaks in the background, ie. spawn a child process.

--login
    Start mousetweaks in login mode. Login mode enables workarounds specific to GDM. Currently unused.

FILES
~/.mousetweaks.pid
    The daemon creates a lock file in the users home directory to keep track of its status.

BUGS
Report bugs to <http://bugzilla.gnome.org/> (http://bugzilla.gnome.org/)

AUTHORS
mousetweaks was written by Gerd Kohlberger. This manual page was written by Francesco Fumanti.

LICENSE
Licenced under the GNU General Public License v3 or later.

SEE ALSO
dwell-click-applet(1), pointer-capture-applet(1)